## Retrieve artifact metadata and download URL

### cURL

```bash
curl --request GET \
  --url 'https://commerceos.aiagents.fabric.inc/api/v2/optimize/artifacts/{artifact_id}?expires_seconds=900' \
  --header 'domain: <domain>'
```

### Python

```python
import requests

url = "https://commerceos.aiagents.fabric.inc/api/v2/optimize/artifacts/{artifact_id}?expires_seconds=900"

headers = {"domain": "<domain>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {domain: '<domain>'}};

fetch('https://commerceos.aiagents.fabric.inc/api/v2/optimize/artifacts/{artifact_id}?expires_seconds=900', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

200

401

403

404

422

500

### Example JSON Responses

#### Successful Response

```json
{
  "artifact_id": "art_95c650ded4824dc79bb6df16427e4a10",
  "kind": "csv",
  "source": "upload",
  "bytes": 45678,
  "sha256": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
  "content_type": "text/csv",
  "uri": "s3://product-agent-data-prod-ue2/optimize-artifacts/svc_yourClientId/art_95c650ded4824dc79bb6df16427e4a10/catalog.csv",
  "original_filename": "catalog.csv",
  "brand_id": "691df5949676c8e0b1d7b6b3",
  "created_at": "2026-05-15T10:30:00Z",
  "download_url": "https://product-agent-data-prod-ue2.s3.amazonaws.com/optimize-artifacts/svc_yourClientId/art_95c650ded4824dc79bb6df16427e4a10/catalog.csv?X-Amz-Signature=...",
  "download_url_expires_at": "2026-05-15T10:45:00Z"
}
```

#### Client Error Response

```json
{
  "errors": "<array>",
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

### Headers

- **domain**: string, required
  - The brand domain name used to scope the request to a specific brand's data and configuration. Example: """vessel.com"""

### Path Parameters

- **artifact_id**: string, required
  - Artifact identifier returned by `POST /v2/optimize/artifacts`. Example: "art_95c650ded4824dc79bb6df16427e4a10"

### Query Parameters

- **expires_seconds**: integer, default: 900
  - Lifetime of the signed `download_url` in seconds. Minimum 60, maximum 3600, default 900. Example: 900

### Response Details

- **artifact_id**: string, required
  - Example: "art_95c650ded4824dc79bb6df16427e4a10"

- **kind**: enum<string>, required
  - Artifact file format. Supported value is `csv`.

- **source**: enum<string>, required
  - Indicates how the artifact was ingested. Available options: `upload`, `presigned`, `uri`, `generated`

- **content_type**: string, required
  - Example: "text/csv"

- **uri**: string, required
  - Example: "s3://product-agent-data-prod-ue2/optimize-artifacts/svc_yourClientId/art_95c650ded4824dc79bb6df16427e4a10/catalog.csv"

- **brand_id**: string, required
  - Example: "691df5949676c8e0b1d7b6b3"

- **created_at**: string<date-time>, required
  - Example: "2026-05-15T10:30:00Z"

- **download_url**: string, required
  - Short-lived presigned URL for downloading the original file contents. Example: "https://product-agent-data-prod-ue2.s3.amazonaws.com/optimize-artifacts/svc_yourClientId/art_95c650ded4824dc79bb6df16427e4a10/catalog.csv?X-Amz-Signature=..."

- **download_url_expires_at**: string<date-time>, required
  - Expiry timestamp in UTC for `download_url`. Example: "2026-05-15T10:45:00Z"

- **bytes**: integer | null
  - Example: 45678

- **sha256**: string | null
  - Example: "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"

- **original_filename**: string | null
  - Example: "catalog.csv"
